<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_SignatureController extends AbsApiController
{

    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();
        
        $return['Trads']['MLS_Titre']                       = $trad->t('Mes documents à signer');
        $return['Trads']['MLS_DA']                          = $trad->t("Demandes d'achat à signer");
        $return['Trads']['MLS_CDE']                         = $trad->t('Commandes à signer');
        $return['Trads']['MLS_BAP']                         = $trad->t('Bons à payer à signer');
        $return['Trads']['MLS_BENV']                        = $trad->t("Boîte d'envoi");
        $return['Trads']['MLS_BREJ']                        = $trad->t('Boîte de rejets');
        $return['Trads']['MLS_MD']                          = $trad->t("Mes délégations");
        $return['Trads']['MLS_DM']                          = $trad->t("Déléguer ma signature");
        $return['Trads']['MLS_Absence']                     = $trad->t("Pour absence");
        $return['Trads']['MLS_Date_Debut']                  = $trad->t("Du");
        $return['Trads']['MLS_Date_Fin']                    = $trad->t("Au");
        $return['Trads']['MLS_Permanente']                  = $trad->t("Permanentes");
        $return['Trads']['MLS_Societe']                     = $trad->t("Société") . $trad->colon();
        $return['Trads']['MLS_Montant_Plafond']             = $trad->t("Montant plafond HT") . $trad->colon();
        $return['Trads']['MLS_Nom_Delegataire']             = $trad->t("Nom du délégataire");
        $return['Trads']['MLS_Ma_Delegation']               = $trad->t("Ma délégation");
        $return['Trads']['MLS_Nouvelle_Delegation']         = $trad->t("Nouvelle délégation");
        $return['Trads']['MLS_Supprimer_Delegation']        = $trad->t("Supprimer la délégation");
        $return['Trads']['MLS_Confirmation_Creation']       = $trad->t("Confirmez-vous la création de la délégation ?");
        $return['Trads']['MLS_Confirmation_Modification']   = $trad->t("Confirmez-vous la modification de la délégation ?");
        $return['Trads']['MLS_Confirmation_Suppression']    = $trad->t("Confirmez-vous la suppression de la délégation ?");
        $return['Trads']['MLS_Erreur_Enregistrement']       = $trad->t("Enregistrement impossible sur le serveur");
        $return['Trads']['MLS_Absence_Uniquement']          = $trad->t("En cas d’absence uniquement");
        $return['Trads']['MLS_Tous_les_roles']              = $trad->t("Tous les rôles sont délégués");
        $return['Trads']['MLS_Details']                     = $trad->t("Détails");
        $return['Trads']['MLS_Declencheur_Titre']           = $trad->t("Déclencheurs");
        $return['Trads']['MLS_Declencheur']                 = $trad->t("Déclencheur");
        $return['Trads']['MLS_Role_Deleguer']               = $trad->t("Rôles à déléguer");
        $return['Trads']['MLS_Operateur']                   = $trad->t("Opérateur");
        $return['Trads']['MLS_Err_Deleg_Oblig']             = $trad->t("Le délégué est obligatoire");
        $return['Trads']['MLS_Err_Mnt_Plafond_Oblig']       = $trad->t("Le montant plafond est obligatoire");
        $return['Trads']['MLS_Err_Choix_Dec_Oblig']         = $trad->t("Le déclencheur est obligatoire");
        $return['Trads']['MLS_Err_Val_Dec_Oblig']           = $trad->t("La valeur du déclencheur est obligatoire");
        $return['Trads']['MLS_Type_document']               = $trad->t("Types de documents");
        $return['Trads']['MLS_Txt_CTR_E']                   = $trad->t("Centre émetteur");
        $return['Trads']['MLS_Txt_CTR_L']                   = $trad->t("Centre de livraison");
        $return['Trads']['MLS_Txt_CDC']                     = $trad->t("Code complémentaire");
        $return['Trads']['MLS_Txt_SCA']                     = $trad->t("Sous-compte d'analyse");
        $return['Trads']['MLS_Txt_SI']                      = $trad->t("Section d'imputation");
        $return['Trads']['MLS_Txt_CodeGestion']             = $trad->t("Code gestion");
        $return['Trads']['MLS_Txt_UO']                      = $trad->t("Unités Organisationnelles");
        $return['Trads']['MLS_Txt_FOURNISS']                = $trad->t("Fournisseurs");
        $return['Trads']['MLS_Txt_DIRECTIO']                = $trad->t("Directions");
        $return['Trads']['MLS_Txt_CENTRANA']                = $trad->t("Centres d'analyse");
        $return['Trads']['MLS_Txt_NATANA']                  = $trad->t("Nature analytique");
        $return['Trads']['MLS_Txt_FAMILLE']                 = $trad->t("Familles");
        $return['Trads']['MLS_Txt_SSFAMILL']                = $trad->t("Sous famille");
        $return['Trads']['MLS_Txt_ACD']                     = $trad->t("Accords-cadres");
        $return['Trads']['MLS_Txt_MARCHES']                 = $trad->t("Marchés");
        $return['Trads']['MLS_Txt_SSITESTO']                = $trad->t("Sites de stockage");
        $return['Trads']['MLS_Txt_ARTICLES']                = $trad->t("Articles");
        $return['Trads']['MLS_Document']                    = $trad->t("Documents");
        $return['Trads']['MLS_Description']                 = $trad->t("Description");
        $return['Trads']['MLS_Detail_Ligne']                = $trad->t("Détails ligne");
        $return['Trads']['MLS_Commentaire_Signature']       = $trad->t("Commentaire pour signature");
        $return['Trads']['MLS_Commentaire_Refus']           = $trad->t("Commentaire pour refus");
        $return['Trads']['MLS_Qte']                         = $trad->t("Qté");
        $return['Trads']['MLS_PU']                          = $trad->t("PU");
        $return['Trads']['MLS_Livraison']                   = $trad->t("Livr.");
        $return['Trads']['MLS_Detail']                      = $trad->t("Détails");
        $return['Trads']['MLS_BTN_Doc_Signer']              = $trad->t("Signer");
        $return['Trads']['MLS_BTN_Doc_Refus']               = $trad->t("Refuser");
        $return['Trads']['MLS_BTN_Doc_Valider']             = $trad->t("Confirmer");
        $return['Trads']['MLS_BTN_Doc_Annuler']             = $trad->t("Annuler");
        $return['Trads']['MLS_BTN_Doc_Annuler_Envoi']       = $trad->t("Annuler envoi");
        $return['Trads']['MLS_Budget']                      = $trad->t("Budget");
        $return['Trads']['MLS_Montant_Budget']              = $trad->t("Montant du budget") . $trad->colon();
        $return['Trads']['MLS_Pourcent_Atteint']            = $trad->t("Vous avez atteint") . $trad->colon();
        $return['Trads']['MLS_Suivi']                       = $trad->t("Suivi");
        $return['Trads']['MLS_Rejet']                       = $trad->t("Rejet");
        $return['Trads']['MLS_Rejet_Signer']                = $trad->t("Signature confirmée : Document transféré dans la boîte d'envoi...");
        $return['Trads']['MLS_Rejet_Refus']                 = $trad->t("Refus : Document transféré dans la boîte d'envoi...");
        $return['Trads']['MLS_BTN_Rejet_Signer']            = $trad->t("Signer");
        $return['Trads']['MLS_BTN_Rejet_Refus']             = $trad->t("Refuser");
        $return['Trads']['MLS_Ligne']                       = $trad->t("Ligne");
        $return['Trads']['MLS_PJ']                          = $trad->t("PJ");
        $return['Trads']['MLS_Pieces_Jointes']              = $trad->t("Pièces jointes");
        $return['Trads']['MLS_DA_Sigle']                    = $trad->t("DA");
        $return['Trads']['MLS_CDE_Sigle']                   = $trad->t("Cde");
        $return['Trads']['MLS_BAP_Sigle']                   = $trad->t("BAP");
        $return['Trads']['MLS_Aucun_Budget']                = $trad->t("Aucun budget n'est défini");
        $return['Trads']['MLS_PJ_download']                 = $trad->t("Confirmez-vous le téléchargement de : %1 ?");
        $return['Trads']['MLS_Montant_Plafond_HT']          = $trad->t("Montant plafond HT") . $trad->colon();
        $return['Trads']['MLS_Montant_Plafond_TTC']         = $trad->t("Montant plafond TTC") . $trad->colon();
        $return['Trads']['MLS_Toutes_Soc']                  = $trad->t("Toutes");
     
        return $this->createApiResponse($return);
    }
}
